//SKY

textures/edssky_sky/sky1
{
	qer_editorimage textures/edssky/sky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .8 .65 .65 125 30 30
	//q3map_surfacelight 25
	q3map_surfacelight 125
	//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
      q3map_lightsubdivide 512
	skyparms env/edssky/sky1 256 -
}


textures/common/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}


textures/eds_clips/clip_metal
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}


textures/eds_clips/clip_wood
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}


textures/eds_clips/clip_stone
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}



//ladderclip

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}


//alphablend

textures/edsalpha/truefence
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/edsalpha/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/edsalpha/r_whiterail1_512
{
	qer_editorimage textures/edsalpha/r_whiterail1_512.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/edsalpha/r_whiterail1_512.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/edsalpha/r_whiterail1_256
{
	qer_editorimage textures/edsalpha/r_whiterail1_256.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/edsalpha/r_whiterail1_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/edsalpha/r_metalrail1
{
	qer_editorimage textures/edsalpha/r_metalrail1.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/edsalpha/r_metalrail1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}

}

textures/edsalpha/r_metalrail2
{
	qer_editorimage textures/edsalpha/r_metalrail2.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/edsalpha/r_metalrail2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}

}


textures/edsalpha/cpr
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/cpr.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/cprbig
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/cprbig.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/busstop
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/busstop.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/bank
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/bank.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/papaflyer
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/papaflyer.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/localshop
{
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/localshop.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/sidbanner
{
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/sidbanner.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/fsbill
{
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/fsbill.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/stationroad
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/stationroad.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/valleyroad
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/valleyroad.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/hillstreet
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/hillstreet.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/easthillroad
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/easthillroad.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/viaductwalk
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/viaductwalk.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/highstreet
{
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/highstreet.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/edsalpha/appartmentsign
{
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/appartmentsign.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/whitestripe
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/whitestripe.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/yellowstripe
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/yellowstripe.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/taxi
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/taxi.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/edsalpha/r_drain2
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        sort 6 
   { 
      map textures/edsalpha/r_drain2.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      rgbGen vertex 
      alphaGen vertex 
   } 
}

textures/edsalpha/r_atanytime
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        sort 6 
   { 
      map textures/edsalpha/r_atanytime.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      rgbGen vertex 
      alphaGen vertex 
   } 
}

textures/edsalpha/factorywindow
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        sort 6 
   { 
      map textures/edsalpha/factorywindow.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      rgbGen vertex 
      alphaGen vertex 
   } 
}


textures/edsalpha/r_roundmanhole
{
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/edsalpha/r_roundmanhole.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

//no bounce textures

textures/edsalpha/r_grasstuft1_512
{	
    qer_editorimage textures/edsalpha/r_grasstuft1_512.tga
	surfaceparm alphashadow
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/edsalpha/r_grasstuft1_512.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}



//light

textures/eds_light/streetlight_1000
{
	qer_editorimage textures/eds_light/r_light4.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eds_light/r_light4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/eds_light/r_subwaylight_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/eds_light/r_subwaylight2_1000
{
	qer_editorimage textures/eds_light/r_subwaylight2_512.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eds_light/r_subwaylight2_512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/eds_light/r_subwaylight_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/edslights/exit1
{
	qer_editorimage textures/edslights/exit1.tga
	q3map_surfacelight 250
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/edslights/exit1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/edslights/exit1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/edslights/exit2
{
	qer_editorimage textures/edslights/exit2.tga
	q3map_surfacelight 250
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/edslights/exit2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/edslights/exit2.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/edsalpha/wings

{
	qer_editorimage textures/edsalpha/wings.tga
	q3map_surfacelight 800
//light 1
// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/edsalpha/wings.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/edsalpha/wings.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/edsalpha/wingsbill
{
	qer_editorimage textures/edsalpha/wingsbill.tga
	q3map_surfacelight 400
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/edsalpha/wingsbill.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/edsalpha/wingsbill.tga
		blendfunc GL_ONE GL_ONE
	}
}



//glass



//	Blue, bright glass.  Light swirl pattern to it.

textures/glass/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/glass/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/glass/darkglass
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm nonsolid
			surfaceparm glass

                      cull disable
                      {
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }

//vending machines

textures/edsalpha/merc_vend1
{
	qer_editorimage textures/edalpha/merc_vend1.tga
	q3map_surfacelight 100

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/edsalpha/merc_vend1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/edsalpha/merc_vend1.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/edsalpha/merc_vend2
{
	qer_editorimage textures/edsalpha/merc_vend2.tga
	q3map_surfacelight 100

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/edsalpha/merc_vend2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/edsalpha/merc_vend2.tga
		blendfunc GL_ONE GL_ONE
	}
}


// 	Plain glass.

textures/glass/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/glass/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//Mirror

textures/edstrims/mirror
{
	qer_editorimage textures/edstrims/mirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/edstrims/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}


//water


//WATERCAULK

textures/common/watercaulk
{
qer_trans 0.40
qer_editorimage textures/common/watercaulk.tga
surfaceparm nodraw
//surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
//surfaceparm nomarks
surfaceparm water

}


//urbanterror,COMMON

// <r> <g> <b> <intensity> <degrees> <elevation>

textures/urban_terror/nsh_sky_1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/nsh/ik_sky_dawn_back.tga
	q3map_lightimage textures/nsh/ik_sky_dawn_front.tga
	q3map_surfacelight 300
	q3map_sun 1 1 0.5 0 0 0
	skyparms - 512 -
	{
		map textures/nsh/ik_sky_dawn_back.tga
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/nsh/ik_sky_dawn_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
	}
}


textures/urban_terror3/rain
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
        deformVertexes move 3 1 0  sin 0 5 0 0.2
        deformVertexes move .6 3.3 0  sin 0 5 0 0.4
        deformVertexes wave 30 sin 0 10 0 .2
	cull none
        //nopicmip
       
	{
		map textures/urban_terror3/rain.tga
                tcMod Scroll .5 -8
                tcMod turb .1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/sfx/rain.tga
                tcMod Scroll .01 -6.3
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/urban_terror2/water1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}

textures/urban_terror2/fog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_surfacelight 100
	fogparms ( 1 1 1 ) 700
}

textures/urban_terror/black
{
	surfaceparm nolightmap
	surfaceparm noimpact
	{
		map textures/urban_terror/black.tga
	}
}


textures/urban_terror/corona
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror/corona.tga
            blendFunc GL_ONE GL_ONE
          }
}


textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}


textures/urban_terror/nitesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 60
	skyparms - 512 -
	{
		map textures/urban_terror/nitesky.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}

textures/urban_terror2/glass
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/urban_terror/daysky_1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 1 1 1 90 45 80
	q3map_surfacelight 100
	q3map_globaltexture
	q3map_lightimage textures/urban_terror/daysky1_blend.tga
	skyparms full 512 -
	{
		map textures/urban_terror/daysky_1.tga
		depthWrite
	}
}

textures/urban_terror/daysky_2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .1 .1 0 0 0 0
	q3map_surfacelight 300
	skyparms - 512 -
	{
		map textures/urban_terror/daysky_2.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}


textures/urban_terror/daysky_3
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .1 .1 0 0 0 0
	q3map_surfacelight 300
	skyparms - 512 -
	{
		map textures/urban_terror/daysky_3.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}


textures/urban_terror/daysky_4
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 0 0 0 0 0 0
        q3map_surfacelight 150
        q3map_globaltexture
        q3map_lightsubdivide 512
        skyparms env/nrg 256 -
}


textures/urban_terror/darker
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 60
	skyparms - 512 -
	{
		map textures/urban_terror/darker.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/urban_terror2/metal
{   
 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/urban_terror2/metal.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


// Defcon.5 Tree-mapmodel (c) GrimReaper 
// thanks to Fatmanfat for help with the shader

models/mapobjects/defcon_tree/tree
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadows

	{
		map models/mapobjects/defcon_tree/tree.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/defcon_tree/tree3
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/defcon_tree/tree4
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree4.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


//BLACKRAYNe flowers

models/mapobjects/br_flowers1/br_flower1
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_flower1.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers1/br_flower2
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_flower2.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers1/br_flower3
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_flower3.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers1/br_flower4
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_flower4.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers1/br_flower5
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_flower1.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers1/br_flower5
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_flower5.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers1/br_flower6
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_flower6.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers1/br_leaf1
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/mapobjects/br_flowers1/br_leaf1.tga

		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


